aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--testing/audacious-plugins/APKBUILD66
1 files changed, 66 insertions, 0 deletions
diff --git a/testing/audacious-plugins/APKBUILD b/testing/audacious-plugins/APKBUILD
new file mode 100644
index 0000000000..30817e149a
--- /dev/null
+++ b/testing/audacious-plugins/APKBUILD
@@ -0,0 +1,66 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=audacious-plugins
+pkgver=2.4.2
+pkgrel=0
+pkgdesc="playlist-oriented media player with multiple interfaces (plugins)"
+url="http://audacious-media-player.org/"
+arch="all"
+license="ISC"
+depends=audacious
+makedepends="libmowgli-dev
+ libmcs-dev
+ libguess-dev
+ gtk+-dev
+ dbus-glib-dev
+ audacious-dev
+ libxml2-dev
+
+ libxcomposite-dev
+ libsamplerate-dev
+ libcue-dev
+
+ libvorbis-dev
+ ffmpeg-dev
+ alsa-lib-dev
+ faad2-dev
+ neon-dev
+ curl-dev
+ wavpack-dev
+ lame-dev
+ flac-dev"
+install=
+subpackages=
+source="http://distfiles.atheme.org/$pkgname-$pkgver.tgz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+
+ for i in $source; do
+ case $i in
+ *.patch)
+ msg "Applying $i..."
+ patch -s -p1 -N -i "$srcdir"/$i || return 1
+ ;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --enable-chardet
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="c33d0ea67e8fb8d6ed3891d464d5009b audacious-plugins-2.4.2.tgz"